Loading...
Searching...
No Matches
cl::SVMAllocator< void, SVMTrait > Class Template Reference

## Classes

struct | rebind

## Public Types

typedef void | value_type
typedef value_type * | pointer
typedef const value_type * | const_pointer
typedef value_type & | reference
typedef const value_type & | const_reference
typedef std::size_t | size_type
typedef std::ptrdiff_t | difference_type

## Public Member Functions

pointer | address (reference r) noexcept
pointer | allocate (size_type size, typename cl::SVMAllocator< void, SVMTrait >::const_pointer=0, bool map=true)
void | deallocate (pointer p, size_type)
size_type | max_size () const noexcept
void | construct (U *p, Args &&... args)
void | destroy (U *p)
bool | operator== (SVMAllocator const &rhs)
bool | operator!= (SVMAllocator const &a)

## Detailed Description

template<class SVMTrait>
class cl::SVMAllocator< void, SVMTrait >

Definition at line 4234 of file opencl.hpp.

## Member Typedef Documentation

## const_pointer

template<class SVMTrait>

typedef const value_type* cl::SVMAllocator< void, SVMTrait >::const_pointer

Definition at line 4238 of file opencl.hpp.

## const_reference

typedef const value_type& cl::SVMAllocator< void, SVMTrait >::const_reference

Definition at line 4091 of file opencl.hpp.

## difference_type

typedef std::ptrdiff_t cl::SVMAllocator< void, SVMTrait >::difference_type

Definition at line 4093 of file opencl.hpp.

## pointer

template<class SVMTrait>

typedef value_type* cl::SVMAllocator< void, SVMTrait >::pointer

Definition at line 4237 of file opencl.hpp.

## reference

typedef value_type& cl::SVMAllocator< void, SVMTrait >::reference

Definition at line 4090 of file opencl.hpp.

## size_type

typedef std::size_t cl::SVMAllocator< void, SVMTrait >::size_type

Definition at line 4092 of file opencl.hpp.

## value_type

template<class SVMTrait>

typedef void cl::SVMAllocator< void, SVMTrait >::value_type

Definition at line 4236 of file opencl.hpp.

## Constructor & Destructor Documentation

## ~SVMAllocator()

cl::SVMAllocator< void, SVMTrait >::~SVMAllocator | ( |  | ) |

inline

Definition at line 4126 of file opencl.hpp.

## Member Function Documentation

## address()

pointer cl::SVMAllocator< void, SVMTrait >::address | ( | reference | r | ) |

inline noexcept

Definition at line 4130 of file opencl.hpp.

## allocate()

pointer cl::SVMAllocator< void, SVMTrait >::allocate | ( | size_type | size,
|  | typename cl::SVMAllocator< void, SVMTrait >::const_pointer | = 0,
|  | bool | map = true )

inline

Allocate an SVM pointer.

If the allocator is coarse-grained, this will take ownership to allow containers to correctly construct data in place.

Definition at line 4146 of file opencl.hpp.

## construct()

void cl::SVMAllocator< void, SVMTrait >::construct | ( | U * | p,
|  | Args &&... | args )

inline

Definition at line 4207 of file opencl.hpp.

## deallocate()

void cl::SVMAllocator< void, SVMTrait >::deallocate | ( | pointer | p,
|  | size_type | )

inline

Definition at line 4184 of file opencl.hpp.

## destroy()

void cl::SVMAllocator< void, SVMTrait >::destroy | ( | U * | p | ) |

inline

Definition at line 4213 of file opencl.hpp.

## max_size()

size_type cl::SVMAllocator< void, SVMTrait >::max_size | ( |  | ) | const

inline noexcept

Return the maximum possible allocation size. This is the minimum of the maximum sizes of all devices in the context.

Definition at line 4193 of file opencl.hpp.

## operator!=()

bool cl::SVMAllocator< void, SVMTrait >::operator!= | ( | SVMAllocator< void, SVMTrait > const & | a | ) |

inline

Definition at line 4226 of file opencl.hpp.

## operator==()

bool cl::SVMAllocator< void, SVMTrait >::operator== | ( | SVMAllocator< void, SVMTrait > const & | rhs | ) |

inline

Returns true if the contexts match.

Definition at line 4221 of file opencl.hpp.

## Friends And Related Symbol Documentation

## SVMAllocator

template<class SVMTrait>
template<typename U, typename V>

friend class SVMAllocator

friend

Definition at line 4247 of file opencl.hpp.

The documentation for this class was generated from the following file:

- opencl.hpp